#!/usr/bin/env python

from WebStack.Adapters import Twisted
from WebStack.Resources.LoginRedirect import LoginRedirectResource, LoginRedirectAuthenticator
from Simple import SimpleResource
import twisted.web.server
import twisted.internet.reactor

# Special magic incantation.

resource = LoginRedirectResource(
    login_url="http://localhost:8081",
    app_url="http://localhost:8080",
    resource=SimpleResource(),
    authenticator=LoginRedirectAuthenticator(secret_key="horses"),
    anonymous_parameter_name="anonymous",
    logout_parameter_name="logout"
)

top_level = Twisted.Dispatcher(resource)
site = twisted.web.server.Site(top_level)
twisted.internet.reactor.listenTCP(8080, site)
twisted.internet.reactor.run()

# vim: tabstop=4 expandtab shiftwidth=4
